$side: 300px;
.side {
	background-color: $white;
	overflow: auto;

	&__wrapper {
		flex-grow: 1;
		flex-shrink: 1;
	}

	&__loan-button {
		@include size(100%);
		.button {
			display: block;
			margin: 20px auto;
		}
	}

	&__cashback-widget {
		margin: 0 0 20px;
	}

	&__menu {
		@include size(100%);
		@include flex(flex, column, nowrap);
		margin: 20px 0;

		&-link {
			@include size(100%, 20px);
			@include flex(inline-flex, row, nowrap);
			text-decoration: none;

			&-active {
				&:before {
					content: '';
					@include position(absolute, $c: (top: 0, left: 18px));
					@include size(4px, 45px);
					background-color: #4d92e3;
					border-radius: 5px;
				}
			}
		}

		&-item {
			@include position(relative);
			@include size(100%, 45px);
			@include flex(flex, row, nowrap);
			align-items: center;
			padding: 0 40px;
			margin: 0 0 15px;
			cursor: pointer;
			transition: all .3s ease;

			&:hover {
				.side__menu-icon {
					fill: #4d92e3;
				}
			}

			&:last-child {
				margin: 0;
			}
		}

		&-icon {
			margin: 0 15px 0 0;
			fill: #b7c6d0;
			transition: all .3s ease;
		}

		&-text {
			@include font(15px, 500, 20px);
			color: $titleColor;
		}

		&-divider {
			@include size(100%);
			padding: 0 40px;
			margin: 20px 0;

			&-line {
				@include size(100%, 1px);
				background-color: $border;
			}
		}

		&-menu-profile {
			display: flex;
			position: relative;
			width: 100%;
			height: 100px;

			padding: 0 40px;
			margin: 0 0 15px;
			& .avatar {
				width: 80px;

			}

			& .text {

				word-break: break-word;
				max-width: calc(100% - 70px);

			}
		}
	}

	&__without-margin {
		margin: 0;
	}

	&__sub-item {
		padding: 0 40px 0 75px;
	}
}

@media #{$desktop} {
	.side {
		@include position(relative);
		z-index: 2;
		flex-grow: 1;
		flex-shrink: 1;
		@include size($side, auto);
		border-right: 1px solid $border;
	}
}

@media #{$laptop} {
	.side {
		@include position(relative);
		z-index: 2;
		flex-grow: 1;
		@include size($side, auto);
		border-right: 1px solid $border;
	}
}

@media #{$tablet} {
	.side {
		@include position(absolute, $c: (top: 0, left: 0));
		z-index: 2;
		@include size(100%, calc(100vh - 120px));
		border-right: 1px solid $border;
	}
}

@media #{$mobile} {
	.side {
		@include position(absolute, $c: (top: 0, left: 0));
		z-index: 2;
		@include size(100%, calc(100vh - 120px));
		border: none;
		&__cashback-widget {
			padding: 20px 20px 0;
		}
		&__loan-button {
			.button {
				margin: 20px auto 0;
			}
		}
	}
}
